#!/bin/sh
#
# Runs a JMeter test without using the GUI.
#

# Set the next line to your JMeter bin directory
JMETER_PATH="/minaret/jakarta-jmeter-2.0.1/bin"

if [ $# -ne 1 ]
then
	echo
	echo "Usage: runtest TEST_NAME"
	echo "Where: TEST_NAME is the base name of the test and results files." 
	echo
	echo " Note: Any existing results file is removed at the start of the test." 
	echo
	exit 1
fi

DIR=`pwd`
cd $JMETER_PATH
CMD="./jmeter -n -t $DIR/$1.jmx -l $DIR/$1.jtl"
echo
echo "About to run JMeter for test \"$1\" as follows:"
echo "     $CMD"
echo
case `uname` in
  AIX) echo "Press Enter to continue...\c" ;;
    *) echo -n "Press Enter to continue..." ;;
esac
read ANS
DATE=`date`
echo "Start time: $DATE\n"

$CMD

DATE=`date`
echo "End time: $DATE\n"
